%define upstream_name    IO-Async
%define upstream_version 0.804

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    A Loop using an C<IO::Poll> object
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/authors/id/P/PE/PEVANS/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Exporter) >= 5.570.0
BuildRequires: perl(File::Temp)
BuildRequires: perl(File::stat)
BuildRequires: perl(Future) >= 0.440.0
BuildRequires: perl(Future::Utils) >= 0.180.0
BuildRequires: perl(IO::Poll)
BuildRequires: perl(List::Util)
BuildRequires: perl(Module::Build) >= 0.400.400
BuildRequires: perl(Socket) >= 2.7.0
BuildRequires: perl(Storable)
BuildRequires: perl(Struct::Dumb)
BuildRequires: perl(Test2::V0) >= 0.0.149
BuildRequires: perl(Test::Future::IO::Impl)
BuildRequires: perl(Test::Metrics::Any)
BuildRequires: perl(Time::HiRes)
BuildArch:  noarch

%{?perl_default_filter}

%description
This collection of modules allows programs to be written that perform
asynchronous filehandle IO operations. A typical program using them would
consist of a single subclass of 'IO::Async::Loop' to act as a container o
other objects, which perform the actual IO work required by the program. As
as IO handles, the loop also supports timers and signal handlers, and
includes more higher-level functionality built on top of these basic
parts.

Because there are a lot of classes in this collection, the following
overview gives a brief description of each.

File Handle IO
    A IO::Async::Handle object represents a single IO handle
    that is being managed. While in most cases it will represent a single
    filehandle, such as a socket (for example, an 'IO::Socket::INET'
    connection), it is possible to have separate reading and writing
    handles (most likely for a program's 'STDIN' and 'STDOUT' streams, or a
    pair of pipes connected to a child process).

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%autopatch -p1

%build
%__perl Build.PL --installdirs=vendor
./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README examples
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Tue Jul 08 2025 umeabot <umeabot> 0.804.0-2.mga10
+ Revision: 2252273
- Mageia 10 Mass Rebuild

* Fri Apr 25 2025 tv <tv> 0.804.0-1.mga10
+ Revision: 2178637
- update to 0.804

* Thu Feb 01 2024 tv <tv> 0.803.0-1.mga10
+ Revision: 2036547
- update to 0.803

* Fri Aug 19 2022 tv <tv> 0.802.0-1.mga9
+ Revision: 1878676
- update to 0.802

* Wed Mar 23 2022 umeabot <umeabot> 0.801.0-2.mga9
+ Revision: 1820993
- Mageia 9 Mass Rebuild

* Tue Dec 21 2021 tv <tv> 0.801.0-1.mga9
+ Revision: 1763118
- update to 0.801

* Wed Nov 17 2021 tv <tv> 0.800.0-1.mga9
+ Revision: 1757592
- BR perl(Data::Dump)
- BR perl(Test::Future::IO::Impl)
- update to 0.800

* Mon Aug 16 2021 tv <tv> 0.790.0-1.mga9
+ Revision: 1741606
- update to 0.79

* Fri Feb 26 2021 tv <tv> 0.780.0-1.mga9
+ Revision: 1692155
- update to 0.78

* Thu May 14 2020 tv <tv> 0.770.0-1.mga8
+ Revision: 1583653
- update to 0.77

* Wed May 06 2020 tv <tv> 0.760.0-1.mga8
+ Revision: 1580841
- update to 0.76

* Tue Feb 18 2020 umeabot <umeabot> 0.750.0-2.mga8
+ Revision: 1538808
- Mageia 8 Mass Rebuild

* Wed Nov 27 2019 tv <tv> 0.750.0-1.mga8
+ Revision: 1463145
- update to 0.75

* Sat Jun 29 2019 shlomif <shlomif> 0.740.0-1.mga8
+ Revision: 1415591
- update to 0.74

* Thu Sep 20 2018 umeabot <umeabot> 0.720.0-2.mga7
+ Revision: 1284291
- Mageia 7 Mass Rebuild

* Tue Apr 10 2018 kekepower <kekepower> 0.720.0-1.mga7
+ Revision: 1216893
- Update to version 0.72

* Mon Oct 09 2017 tv <tv> 0.710.0-2.mga7
+ Revision: 1170486
- disable tests that need networking

* Wed Aug 02 2017 sander85 <sander85> 0.710.0-1.mga7
+ Revision: 1134118
- update to 0.71

* Sun Jun 19 2016 pterjan <pterjan> 0.700.0-2.mga6
+ Revision: 1028614
- Rebuild for perl 5.22.2

* Sat Jan 16 2016 shlomif <shlomif> 0.700.0-1.mga6
+ Revision: 923801
- update to 0.70

* Sat Aug 01 2015 sander85 <sander85> 0.680.0-1.mga6
+ Revision: 860333
- update to 0.68

* Sun Jul 05 2015 sander85 <sander85> 0.670.0-1.mga6
+ Revision: 850994
- update to 0.67

* Wed Oct 15 2014 umeabot <umeabot> 0.630.0-4.mga5
+ Revision: 742936
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 0.630.0-3.mga5
+ Revision: 732298
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 0.630.0-2.mga5
+ Revision: 685047
- Mageia 5 Mass Rebuild

* Tue Jul 15 2014 sander85 <sander85> 0.630.0-1.mga5
+ Revision: 652909
- update to 0.63

* Tue Apr 15 2014 jquelin <jquelin> 0.620.0-1.mga5
+ Revision: 614839
- update to 0.62

* Fri Feb 07 2014 sander85 <sander85> 0.610.0-1.mga5
+ Revision: 585095
- update to 0.61

* Mon Oct 21 2013 umeabot <umeabot> 0.600.0-2.mga4
+ Revision: 537227
- Mageia 4 Mass Rebuild

* Thu Sep 26 2013 sander85 <sander85> 0.600.0-1.mga4
+ Revision: 486621
- update to 0.60

* Sat Aug 24 2013 sander85 <sander85> 0.590.0-1.mga4
+ Revision: 471268
- update to 0.59

* Sun Jan 13 2013 umeabot <umeabot> 0.530.0-2.mga3
+ Revision: 368436
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Sep 10 2012 jquelin <jquelin> 0.530.0-1.mga3
+ Revision: 291713
- update to 0.53

* Thu Jul 12 2012 jquelin <jquelin> 0.520.0-1.mga3
+ Revision: 270279
- update to 0.52

* Wed Jul 04 2012 jquelin <jquelin> 0.510.0-1.mga3
+ Revision: 267386
- update to 0.51

* Tue Jun 05 2012 jquelin <jquelin> 0.490.0-1.mga3
+ Revision: 255066
- update to 0.49

* Sat Nov 26 2011 kharec <kharec> 0.450.0-1.mga2
+ Revision: 172149
- update to 0.45

* Sat Nov 05 2011 kharec <kharec> 0.440.0-1.mga2
+ Revision: 163594
- update to 0.44
+ jquelin <jquelin>
- update to 0.43

* Thu Jun 30 2011 jquelin <jquelin> 0.420.0-1.mga2
+ Revision: 116440
- update to 0.42

* Wed Mar 16 2011 jquelin <jquelin> 0.400.0-1.mga1
+ Revision: 72342
- update to 0.40

* Wed Feb 16 2011 jquelin <jquelin> 0.390.0-1.mga1
+ Revision: 52508
- update to 0.39

* Mon Jan 24 2011 jquelin <jquelin> 0.350.0-1.mga1
+ Revision: 37057
- mageia rebuild
- imported package perl-IO-Async


* Wed Jan 05 2011 Götz Waschk <waschk@mandriva.org> 0.350.0-1mdv2011.0
+ Revision: 628688
- update to new version 0.35

* Fri Dec 31 2010 Guillaume Rousse <guillomovitch@mandriva.org> 0.340.0-1mdv2011.0
+ Revision: 626888
- new version

* Thu Dec 23 2010 Götz Waschk <waschk@mandriva.org> 0.330.0-1mdv2011.0
+ Revision: 624033
- update to new version 0.33

* Fri Dec 17 2010 Götz Waschk <waschk@mandriva.org> 0.320.0-1mdv2011.0
+ Revision: 622538
- update to new version 0.32

* Sat Nov 27 2010 Guillaume Rousse <guillomovitch@mandriva.org> 0.310.0-1mdv2011.0
+ Revision: 602094
- new version

* Wed Sep 22 2010 Götz Waschk <waschk@mandriva.org> 0.300.0-1mdv2011.0
+ Revision: 580486
- update to new version 0.30

* Sat Jul 10 2010 Götz Waschk <waschk@mandriva.org> 0.290.0-1mdv2011.0
+ Revision: 550489
- update build deps
- update to new version 0.29

* Thu Mar 11 2010 Götz Waschk <waschk@mandriva.org> 0.280.0-1mdv2010.1
+ Revision: 517948
- update to new version 0.28

* Fri Dec 25 2009 Götz Waschk <waschk@mandriva.org> 0.270.0-1mdv2010.1
+ Revision: 482200
- new version
- fix source URL

* Tue Nov 24 2009 Jérôme Quelin <jquelin@mandriva.org> 0.260.0-1mdv2010.1
+ Revision: 469442
- update to 0.26

* Fri Nov 06 2009 Götz Waschk <waschk@mandriva.org> 0.250.0-1mdv2010.1
+ Revision: 460843
- update to new version 0.25

* Fri Nov 06 2009 Götz Waschk <waschk@mandriva.org> 0.240.0-1mdv2010.1
+ Revision: 460829
- update build deps
- update to new version 0.24

* Thu Aug 20 2009 Jérôme Quelin <jquelin@mandriva.org> 0.230.0-1mdv2010.0
+ Revision: 418632
- update to 0.23

* Fri Jul 24 2009 Jérôme Quelin <jquelin@mandriva.org> 0.220.0-1mdv2010.0
+ Revision: 399268
- update to 0.22

* Mon Jun 29 2009 Götz Waschk <waschk@mandriva.org> 0.210.0-1mdv2010.0
+ Revision: 390518
- import perl-IO-Async


* Mon Jun 29 2009 cpan2dist 0.21-1mdv
- initial mdv release, generated with cpan2dist

